%define name libmcrypt
%define version 2.4.15
%define release 2mdk

%define major 4
%define libname %{name}%{major}


Summary: Thread-safe data encryption library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
URL: http://mcrypt.hellug.gr
License: LGPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Libmcrypt is a thread-safe library providing a uniform interface
to access several block and stream encryption algorithms.
     Some algorithms which are supported:
SERPENT, RIJNDAEL, 3DES, GOST, SAFER+, CAST-256, RC2, XTEA, 3WAY,
TWOFISH, BLOWFISH, ARCFOUR, WAKE and more. 

%package -n %{libname}
Summary:   Thread-safe data encryption library
Group:     System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
Libmcrypt is a thread-safe library providing a uniform interface
to access several block and stream encryption algorithms.
     Some algorithms which are supported:
SERPENT, RIJNDAEL, 3DES, GOST, SAFER+, CAST-256, RC2, XTEA, 3WAY,
TWOFISH, BLOWFISH, ARCFOUR, WAKE and more. 


%package -n %{libname}-devel
Summary:  Header files and libraries for developing apps with libmcrypt
Group:    Development/C
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the header files and libraries needed to
develop programs that use the libmcrypt library.
Install it if you want to develop such applications.

%prep
%setup
# redefine __libtoolize to avoid forcing libtoolize in configure macro
%define __libtoolize /bin/true
%configure --program-prefix=""

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL KNOWN-BUGS NEWS README THANKS TODO doc/README.* doc/*.c
%{_mandir}/man3/*
%{_bindir}/*
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/%{name}
%{_includedir}/*.h
%{_datadir}/aclocal/*.m4

%changelog
* Tue Aug 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.4.15-2mdk
- added by Thomas Leclerc <leclerc@linux-mandrake.com> 
	- Provides: made library policy-compliant

* Wed Jul 18 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 2.4.15-1mdk
- Initial Mandrake build

# end of file
